## General repada Options

The general options specify what type of reports to generate (text or HTML) and where they should be created. Details of each general option follows:

Option | Description
--- | ---
-db database | Specify the database file to be used to create reports. This is the .uda file created by undada or Understand for Ada.
-help | Provides on-line guidance for command line syntax.
-html [directory] | Use this option to generate HTML versions of the reports. If the directory specified by html_directory exists, it is used, if not it is created. By default, the directory .\html is used. The “home” file of the directory is index.html. Also specify one of the -htmlall, -htmlalpha, or -htmlsplit options to specify if and how the HTML files are to be split up. By default, reports are split alphabetically. The -html option may not be used if -text or -prefix is used.
-htmlall | Use this option to specify that each HTML report is to be kept in one HTML file. Using this option on large projects may cause html browser problems when loading large files. This argument is optional and cannot be used with -htmlalpha or -htmlsplit.
-htmlalpha | Generate multiple files for each HTML report, splitting up the files alphabetically by the first character of each entity name. The “home” file of the directory is index.html. This is the default. This argument is optional and cannot be used with -htmlall or -htmlsplit.
-htmlsplit n | Generate multiple files for each HTML report, splitting up the files into “n” entities per file. By default, the report is split into 500 entities per file. The “home” file of the directory is index.html. This argument is optional and cannot be used with -htmlall or -htmlalpha.
-metrics filename | Export metrics to a comma-delimited file of name “filename”.
-quiet | Run quietly (don’t output message about what report is being generated and so on). This option is useful when using repada in cron jobs or other batch creation situations.
-separate prefix | Used to break each text report into a separate ASCII file. The prefix is prepended to each generated file. If desired, a separate directory location may be specified as part of the prefix. See Report File Naming Conventions. This option may not be used if -html or -text options are used.
-text output_file | Specify the output filename. Use this option to create an ASCII output file containing all reports. Cannot be used in conjunction with the -separate or -html options.

Scientific Toolworks, Inc. http://www.scitools.com